package com.microsoft.notes

import android.content.Context
import android.os.Handler
import com.microsoft.notes.utils.threading.ThreadExecutor

class MainThread(val context: Context) : ThreadExecutor {
    override fun execute(block: () -> Unit) {
        val handler = Handler(context.mainLooper)
        handler.post { block.invoke() }
    }
}