package com.microsoft.notes.flavor

import android.app.Activity
import android.content.Context

interface FlavorConfiguration {
    fun registerForUpdates(activity: Activity)

    fun unregisterForUpdates()

    fun registerCrashManager(context: Context)

    fun registerForFeedback(context: Context)

    fun showFeedbackActivity(context: Context)

    fun canHandleDevOptions(): Boolean

    fun canHandleHockeyApp(): Boolean

    fun isUnderTest(): Boolean

    fun startPolling()

    fun stopPolling()
}