package com.microsoft.notes.appstore.action

sealed class ReadAction : Action {
    class LoadPreferencesAction() : ReadAction()

    data class PreferencesLoadedAction(val preferences: Map<String, String>) : ReadAction()
}