package com.microsoft.notes.search

import android.content.Context
import android.util.AttributeSet
import android.view.View

class SquareView(context: Context, attrs: AttributeSet) : View(context, attrs) {

    override fun onMeasure(widthMeasureSpec: Int, heightMeasureSpec: Int) {
        val height = MeasureSpec.getSize(heightMeasureSpec)
        val width = MeasureSpec.getSize(widthMeasureSpec)
        val smaller = minOf(height, width)

        setMeasuredDimension(smaller, smaller)
    }

}