package com.microsoft.notes.transition

import android.graphics.Rect

sealed class DynamicTransitionParams {
    interface Duration {
        val duration: Long
    }

    interface VerticalSlideDistance {
        val slideUpDistance: Int
        val slideDownDistance: Int
        val containerBounds: Rect
    }
}